SystemOrganization addCategory: #'Sight-TestExamples'!

TestCase subclass: #SExampleFooBarTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sight-TestExamples'!

!SExampleFooBarTest methodsFor: 'as yet unclassified' stamp: 'bs 7/4/2010 12:47:02.536'!
testFooBar
	SExampleFooBar new fooBar! !

TestCase subclass: #SExampleTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sight-TestExamples'!

!SExampleTest class methodsFor: 'as yet unclassified' stamp: 'bs 7/3/2010 10:41:32.7'!
wantsRecompilationProgressReported
	^ false! !

!SExampleTest methodsFor: 'as yet unclassified' stamp: 'bs 11/26/2009 16:01'!
testFailing
	self assert: false.
	! !

!SExampleTest methodsFor: 'as yet unclassified' stamp: 'bs 7/4/2010 13:04:48.817'!
testFirstnameAccessors
	
	| aPerson aName |
	aPerson := SExamplePerson new.
	aName := 'Bastian'.
	aPerson firstname: aName.
	self assert: aPerson firstname = aName.
! !

TestCase subclass: #SFixedExampleTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sight-TestExamples'!

!SFixedExampleTest methodsFor: 'as yet unclassified' stamp: 'bs 7/4/2010 12:47:06.136'!
testFooState
	|example|
	example := SFixedExample new.
	example foo.
	self assert: [example state = 'Foo']! !

!SFixedExampleTest methodsFor: 'as yet unclassified' stamp: 'bs 7/4/2010 12:47:06.129'!
testHelloWorld
	|example|
	example := SFixedExample new.
	example hello.
	example setStateToFoo.
	self assert: [example world = 'Hello']! !

Object subclass: #SExampleFooBar
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sight-TestExamples'!

!SExampleFooBar methodsFor: 'as yet unclassified' stamp: 'bs 7/3/2010 10:42:00.303'!
fooBar! !

Object subclass: #SExamplePerson
	instanceVariableNames: 'firstname'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sight-TestExamples'!

!SExamplePerson class methodsFor: 'as yet unclassified' stamp: 'bs 10/28/2009 09:24'!
wantsRecompilationProgressReported
	"turn off for this clas because it is modified during tests"

	^ false
! !

!SExamplePerson methodsFor: 'as yet unclassified' stamp: 'bs 7/4/2010 13:04:47.049'!
asString
	^ super asString! !

!SExamplePerson methodsFor: 'as yet unclassified' stamp: 'bs 7/4/2010 13:04:54.952'!
firstname
	^ firstname! !

!SExamplePerson methodsFor: 'as yet unclassified' stamp: 'bs 7/4/2010 13:04:48.912'!
firstname: anObject
	firstname := anObject! !

Object subclass: #SFixedExample
	instanceVariableNames: 'state world'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Sight-TestExamples'!

!SFixedExample methodsFor: 'as yet unclassified' stamp: 'bs 7/3/2010 10:41:24.418'!
foo
	state := 'Foo'! !

!SFixedExample methodsFor: 'as yet unclassified' stamp: 'bs 7/3/2010 10:41:19.082'!
hello
	world := 'Hello'.
	state := 'Foo'! !

!SFixedExample methodsFor: 'as yet unclassified' stamp: 'bs 7/3/2010 10:41:13.894'!
setStateToFoo
	state := 'Foo'! !

!SFixedExample methodsFor: 'as yet unclassified' stamp: 'bs 7/3/2010 10:41:09.719'!
state
	^ state! !

!SFixedExample methodsFor: 'as yet unclassified' stamp: 'bs 7/3/2010 10:41:06.083'!
world
	^ world! !
